Loading...
Searching...
No Matches
CLI::detail::has_find< C, V > Struct Template Reference

`#include <ExtraValidators.hpp>`

## Public Types

using | type = std::integral_constant<bool, value>

## Static Public Member Functions

template<typename CC, typename VV>
static auto | test (int) -> decltype(std::declval< CC >().find(std::declval< VV >()), std::true_type())
template<typename, typename>
static auto | test (...) -> decltype(std::false_type())

## Static Public Attributes

static const auto | value = decltype(test<C, V>(0))::value

## Member Typedef Documentation

## type

template<typename C, typename V>

using CLI::detail::has_find< C, V >::type = std::integral_constant<bool, value>

## Member Function Documentation

## test() [1/2]

template<typename C, typename V>
template<typename, typename>

auto CLI::detail::has_find< C, V >::test | ( |  | ... | ) | ->decltype(std::false_type())

static

## test() [2/2]

template<typename C, typename V>
template<typename CC, typename VV>

auto CLI::detail::has_find< C, V >::test | ( | int |  | ) | ->decltype(std::declval< CC >().find(std::declval< VV >()), std::true_type())

static

## Member Data Documentation

## value

template<typename C, typename V>

const auto CLI::detail::has_find< C, V >::value = decltype(test<C, V>(0))::value

static

The documentation for this struct was generated from the following file:

- include/CLI/ExtraValidators.hpp